--- title: "createAddressBook" slug: "ai-application-service-cloudoutboundmailer-createaddressbook" tags: ["Cloud Outbound Mailer"] updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/ai-application-service-cloudoutboundmailer-createaddressbook" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createAddressBook Available in Classic and VPC Create an address book by entering recipient groups and addresses. The address book status right before creating an address book is returned as a response, and the creation task is processed asynchronously. You can also change the address book that was created. You can do this by adding a new address to an existing recipient group or creating a new recipient group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /address-book | ### Request headers For information about the headers common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer request headers](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `groups` | List | Required | Recipient group list - Group name: Enter 1-100 characters by combining Korean letters, English letters, numbers, and special characters ".", "-", and "_". - Email address: Separate by commas (,). - See [AddressBookRequest](/docs/en/common-vapidatatype-nesaddressbookrequest). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://mail.apigw.ntruss.com/api/v1/address-book' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data-raw '{ "groups":[ { "groupName":"10", "emailAddresses":[ "xxx@naver.com", ... ] }, { "groupName":"Male", "emailAddresses":[ "xxx@daum.net", ... ] } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalAddressCount` | Integer | - | Total number of email addresses requested | | `groups` | List | - | Recipient group list - See [AddressBookResponse](/docs/en/common-vapidatatype-nesaddressbookresponse). | ### Response status codes For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer response status codes](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalAddressCount": 4300, "groups": [ { "sid": 155, "groupName": "10", "addressCount": 3900 }, { "sid": 159, "groupName": "Male", "addressCount": 1000 } ] } ```